# $Revision: 1.35 $, $Date: 2005/06/20 13:53:12 $
Summary:	Portable game library
Summary(pl):	Przenona biblioteka do programowania gier
Name:		plib
Version:	1.8.4
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	http://plib.sourceforge.net/dist/%{name}-%{version}.tar.gz
# Source0-md5:	5e3f289a9d1c5de0b1cfdec76bf139e6
Patch0:		%{name}-shared.patch
Patch1:		%{name}-js_fix.patch
URL:		http://plib.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel >= 4.0.1
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Portable game library.

%description -l pl
Przenona biblioteka do programowania gier.

%package devel
Summary:	Header files for plib library
Summary(pl):	Pliki nagwkowe biblioteki plib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-devel-base

%description devel
Header files for plib library.

%description devel -l pl
Pliki nagwkowe biblioteki plib.

%package static
Summary:	Static plib libraries
Summary(pl):	Statyczne biblioteki plib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static plib libraries.

%description static -l pl
Statyczne biblioteki plib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f config.cache missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-GL=/usr/X11R6

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README* NOTICE NEWS ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/*.la
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: plib.spec,v $
Revision 1.35  2005/06/20 13:53:12  undefine
- patch to use new js interface, rel 1

Revision 1.34  2005/06/20 11:24:21  blekot
- 0.8.4, rel 0.1
- doesn't build (don't know why)

Revision 1.33  2004/10/31 21:53:12  paladine
- spaces->tabs
- formatting

Revision 1.32  2004/04/14 12:17:50  grzegol
- updated to 1.8.3

Revision 1.31  2004/03/28 23:08:54  grzegol
- updated to 1.8.2

Revision 1.30  2004/03/21 17:28:24  grzegol
- updated to 1.8.0 (it's probably binary incopatible with 1.7 version, but
  soname has not changed - all applications using plib should be rebuild)
- removed BR: glut-devel - not needed anymore
- strict internal deps

Revision 1.29  2004/02/14 16:10:41  grzegol
- added ldconfig to %%post/%%postun

Revision 1.28  2003/11/11 21:53:01  grzegol
- added shared patch (build also shared libraries)
- regenerate lt
- added -static subpackage
- rel. 4

Revision 1.27  2003/11/11 01:33:23  ankry
- caps unification, other cosmetics

Revision 1.26  2003/11/10 22:50:27  ankry
- cosmetics

Revision 1.25  2003/11/10 22:45:50  grzegol
- added -devel subpackage
- rel. 3

Revision 1.24  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.23  2003/05/27 11:19:39  trojan
- added Source-md5

Revision 1.22  2003/05/25 06:25:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/02/11 19:26:37  grzegol
- fixed GL prefix
- rel. 2

Revision 1.20  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.19  2002/11/29 22:45:55  ankry
- massive attack: new %%doc

Revision 1.18  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/09/13 05:56:56  zagrodzki
- updated to 1.7.0
- STBR

Revision 1.16  2002/05/21 23:14:31  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/04/14 20:35:46  marcus
- fix for ppc
- rel.4.

Revision 1.14  2002/04/12 09:26:04  marcus
- rel 3. (fix for ppc)

Revision 1.13  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/02 19:49:35  ankry
- adding some Group translations

Revision 1.9  2002/01/18 02:14:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/02 23:57:43  blues
- release 2
- ac2.5 ready - am_fix patch included

Revision 1.7  2001/08/06 07:48:06  kloczek
- uncomment %patch0.

Revision 1.6  2001/08/04 17:06:36  jajcus
- Version: 1.4.2

Revision 1.5  2001/04/20 20:45:36  kloczek
- cosmetics.

Revision 1.4  2001/04/20 16:09:22  misiek
typo

Revision 1.3  2001/04/20 16:05:42  misiek
- added pl summary and description
- rebuild autostuff
- changes in %%install
- release 1

Revision 1.2  2001/04/07 10:35:03  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.1  2000/10/02 13:08:14  cieciwa
- updated to version 1.3.1,
- fixed missing part in configure.in.

* Wed Jun 16 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [1.0-2]
- stripped libraries,
- moved headers to /usr/x11R6/include/plib/.

* Wed Jun 16 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [1.0-1]
- build RPM.
